Bug 447588 - Krita 5.0.0 on MacOS 12.1 cropping with "snap to grid" enabled is not usually accurate.
Summary: Krita 5.0.0 on MacOS 12.1 cropping with "snap to grid" enabled is not usually...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: * Unknown (show other bugs)
Version: 5.0.0
Platform: macOS (DMG) macOS
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-12-27 21:13 UTC by Ek.artifist@gmail.com
Modified: 2022-07-11 15:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ek.artifist@gmail.com 2021-12-27 21:13:55 UTC
Krita 5.0.0 on macOS Monterey 12.1

When I turn on the grid and "snap to grid" cropping isn't always accurate. It worked perfectly in Krita 4.4.8.
Comment 1 Dmitry Kazakov 2022-07-11 14:33:13 UTC
I can confirm that under some circumstances the crop starts in the middle of the cell. In such a case, undoing the crop operation keeps the grid with the offset, which is obviously a bug.
Comment 2 Dmitry Kazakov 2022-07-11 15:19:53 UTC
Git commit d7418ffb3d434290db979e4f519a1f26e4a7697c by Dmitry Kazakov.
Committed on 11/07/2022 at 15:19.
Pushed by dkazakov into branch 'master'.

Fix issues with Grid settings becoming invalid when cropping

We should disable aspect ratio locking when the loading the
values from the external sources.

M  +7    -2    plugins/dockers/griddocker/grid_config_widget.cpp

https://invent.kde.org/graphics/krita/commit/d7418ffb3d434290db979e4f519a1f26e4a7697c
Comment 3 Dmitry Kazakov 2022-07-11 15:20:23 UTC
Git commit 28311ea514346e7412c32925f3b22438119c61b0 by Dmitry Kazakov.
Committed on 11/07/2022 at 15:20.
Pushed by dkazakov into branch 'krita/5.1'.

Fix issues with Grid settings becoming invalid when cropping

We should disable aspect ratio locking when the loading the
values from the external sources.

M  +7    -2    plugins/dockers/griddocker/grid_config_widget.cpp

https://invent.kde.org/graphics/krita/commit/28311ea514346e7412c32925f3b22438119c61b0